TYPO3-EXT-SA-2020-013: Multiple vulnerabilities in extension "mm_forum" (mm_forum)

  • Release Date: July 07, 2020
  • Component Type: Third party extension. This extension is not a part of the TYPO3 default installation.
  • Component: mm_forum (mm_forum)
  • Vulnerability Type: Cross Site Scripting, CSRF
  • Affected Versions: 1.9.5 and below
  • Severity: Medium
  • Suggested CVSS v3.1: AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:N/E:F/RL:O/RC:C
  • References: CVE-2020-15516

Problem Description

The extension fails to properly encode user input for output in HTML context. Also the extension fails to implement a CSRF protection for update profile plugin.

Solution

All versions of this extension that are known to be vulnerable will no longer be available for download from the TYPO3 Extension Repository, because the extension is outdated and unmaintained.

Please uninstall and delete the extension folder from your installation and search on the TYPO3 Extension Repository for alternative extensions.

Credits

Thanks to David Haas for discovering and reporting the vulnerabilities.

General Advice

Follow the recommendations that are given in the TYPO3 Security Guide. Please subscribe to the typo3-announce mailing list.

Zurück